Subject: bug#18255: Selecting a group with RET vs gnus-thread-hide-subtree

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 20:15:27 +0100

Carlos Pita <[email-masked]> writes:

> Selecting with RET is supposed not to select any article in the summary
> buffer. Nevertheless, if the first article in the summary is an
> unseen/unread article belonging to a thread, then that thread is
> expanded, even if gnus-thread-hide-subtree is t. To make things more
> confusing, the little > at the left fringe is shown in the last article
> of the summary, not the first.

I've never noticed that thing in the fringe.  :-)  What sets it?

> I think a more sensible behavior is:
>
> 1) Show the > at the article SPACE (as opposed to RET) would have
> selected, but without really selecting it.
>
> 2) Don't expand any thread at all (that is, when selecting the group
> with RET).
>
> Implementing just 1 will be a second best at least, because one can
> interpret this behavior as kinda "selecting without showing". But the
> current behavior is misleading: nothing seems to be selected, but there
> is an arrow pointing to the last article, despite the point is in the
> first one and the first thread is expanded => pretty messy.

Yes, I think 2) makes most sense.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no